| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_CStringAbbreviations Class Reference

`#include <AAX_CString.h>`

## Description

Helper class to store a collection of name abbreviations.

## Public Member Functions
| AAX_CStringAbbreviations (const AAX_CString &inPrimary)
void | SetPrimary (const AAX_CString &inPrimary)
const AAX_CString & | Primary () const
void | Add (const AAX_CString &inAbbreviation)
const AAX_CString & | Get (int32_t inNumCharacters) const
void | Clear ()

## Constructor & Destructor Documentation

## ◆ AAX_CStringAbbreviations()

AAX_CStringAbbreviations::AAX_CStringAbbreviations | ( | const AAX_CString & | inPrimary | ) |
| inline explicit

## Member Function Documentation

## ◆ SetPrimary()

void AAX_CStringAbbreviations::SetPrimary | ( | const AAX_CString & | inPrimary | ) |
| inline

Referenced by AAX_CStatelessParameter::SetName().

Here is the caller graph for this function:

## ◆ Primary()

const AAX_CString & AAX_CStringAbbreviations::Primary | ( |  | ) | const
| inline

Referenced by AAX_CStatelessParameter::Name().

Here is the caller graph for this function:

## ◆ Add()

void AAX_CStringAbbreviations::Add | ( | const AAX_CString & | inAbbreviation | ) |
| inline

References AAX_CString::Length().

Referenced by AAX_CStatelessParameter::AddShortenedName().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Get()

const AAX_CString & AAX_CStringAbbreviations::Get | ( | int32_t | inNumCharacters | ) | const
| inline

References AAX_CString::Length().

Referenced by AAX_CStatelessParameter::ShortenedName().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Clear()

void AAX_CStringAbbreviations::Clear | ( |  | ) |
| inline

Referenced by AAX_CStatelessParameter::ClearShortenedNames().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- AAX_CString.h